Lavalite package that provides basic management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `markhorwear/basic`.

    "markhorwear/basic": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Markhorwear\Basic\Providers\BasicServiceProvider::class,

And also add it to alias

    'Basic'  => Markhorwear\Basic\Facades\Basic::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Markhorwear\\Basic\\Seeders\\BasicTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Markhorwear\Basic\Providers\BasicServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Markhorwear\Basic\Providers\BasicServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Markhorwear\Basic\Providers\BasicServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/basic/{modulename}

**User**

    http://path-to-route-folder/user/basic/{modulename}

**Public**

    http://path-to-route-folder/basics


### API endpoints

**List**

    http://path-to-route-folder/api/user/basic/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/basic/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/basic/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/basic/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/basic/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/basic/{modulename}/{slug}
    METHOD: GET